Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class ContainerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.catalina.ContainerEvent

All Implemented Interfaces:
  java.io.Serializable

public final class ContainerEvent
extends java.util.EventObject

General event for notifying listeners of significant changes on a Container.

Version:
  $Revision: 1.1.1.1 $ $Date: 2002/07/18 16:47:36 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContainerEvent(Container container, java.lang.String type, java.lang.Object data)` Construct a new ContainerEvent with the specified parameters.

Method Summary
`Container` | `getContainer()` Return the Container on which this event occurred.
`java.lang.Object` | `getData()` Return the event data of this event.
`java.lang.String` | `getType()` Return the event type of this event.
`java.lang.String` | `toString()` Return a string representation of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerEvent

    public ContainerEvent(Container container,
                          java.lang.String type,
                          java.lang.Object data)

  Construct a new ContainerEvent with the specified parameters.

Parameters:
  `container` - Container on which this event occurred
  `type` - Event type
  `data` - Event data

Method Detail

### getData

    public java.lang.Object getData()

  Return the event data of this event.

### getContainer

    public Container getContainer()

  Return the Container on which this event occurred.

### getType

    public java.lang.String getType()

  Return the event type of this event.

### toString

    public java.lang.String toString()

  Return a string representation of this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.